http://mediaconnect.{region}.amazonaws.com/v1/gateway-instances/{gatewayInstanceArn}Updates the configuration of an existing Gateway Instance.
The Amazon Resource Name (ARN) of the instance that you want to update.
The availability of the instance to host new bridges. The bridgePlacement property can be LOCKED or AVAILABLE. If it is LOCKED, no new bridges can be deployed to this instance. If it is AVAILABLE, new bridges can be added to this instance.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/gateway-instances/{gatewayInstanceArn}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://mediaconnect.{region}.amazonaws.com/v1/gateway-instances/{gatewayInstanceArn}Updates the configuration of an existing Gateway Instance.
The Amazon Resource Name (ARN) of the instance that you want to update.
The availability of the instance to host new bridges. The bridgePlacement property can be LOCKED or AVAILABLE. If it is LOCKED, no new bridges can be deployed to this instance. If it is AVAILABLE, new bridges can be added to this instance.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/gateway-instances/{gatewayInstanceArn}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}